# Wallaread - SailfishOS client for Wallabag 2+

This project is a fork of the original [goestreicher repository](https://github.com/goestreicher/harbour-wallaread). In this repository is the continuation of that project .

Wallaread is a client to SailfishOS for [Wallabag](https://www.wallabag.it/en), a self-hosted service that allows you to save a copy of your favorite articles to read later.

## Installation

The pre-compiled package is available through [OpenRepos](https://openrepos.net/content/kirbylife/wallabag).  
You can install it by directly downloading the .rpm file for your architecture or through Storeman.


## Compilation

The recomended option to compile this project is using Docker using the following command:

aarch64
```Bash
docker run --rm --privileged -v $PWD:/share coderus/sailfishos-platform-sdk:4.5.0.16 /bin/bash -c " mkdir -p build ; cd build ; cp -r /share/* . ; mb2 -t SailfishOS-4.5.0.16-aarch64 build ; sudo cp -r RPMS/*.rpm /share/output"
```

armv7
```Bash
docker run --rm --privileged -v $PWD:/share coderus/sailfishos-platform-sdk:4.5.0.16 /bin/bash -c " mkdir -p build ; cd build ; cp -r /share/* . ; mb2 -t SailfishOS-4.5.0.16-armv7hl build ; sudo cp -r RPMS/*.rpm /share/output"
```

i486
```Bash
docker run --rm --privileged -v $PWD:/share coderus/sailfishos-platform-sdk:4.5.0.16 /bin/bash -c " mkdir -p build ; cd build ; cp -r /share/* . ; mb2 -t SailfishOS-4.5.0.16-i486 build ; sudo cp -r RPMS/*.rpm /share/output"
```

The .rpm package should be in the output/ directory.

## Features

- Login to multiple wallabag servers.
- Synchronize aggregated items.
- Read articles through a WebView.
- Save articles locally so they can be read offline.

## Translations

You can help contribute to the translations of this project by creating files within the translations/ directory for the new language or by correcting existing translations.


## Credits and license

This project was originally created by [goestreicher](https://github.com/goestreicher) and he licensed it under GPL v3, so this license is preserved.
